MRWText Class Reference

the main class to read the text part of Mariner Write file More...

`#include <MRWText.hxx>`

## Public Member Functions

| MRWText (MRWParser &parser)
| constructor More...
virtual | ~MRWText ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Member Functions

void | setProperty (MRWTextInternal::Paragraph const &ruler)
| sends a paragraph property to the listener More...
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
bool | send (int zoneId)
| try to send a zone (knowing zoneId) More...
bool | send (MRWTextInternal::Zone const &zone, MWAWEntry const &entry)
| try to send a zone More...
bool | findTableStructure (MRWTextInternal::Table &table, MWAWEntry const &entry)
| try to find the table structure beginning in actual position More...
bool | sendTable (MRWTextInternal::Table &table)
| try to send a table More...
bool | readTextStruct (MRWEntry const &entry, int zoneId)
| try to read the text struct More...
bool | readZone (MRWEntry const &entry, int zoneId)
| try to read a text zone More...
int | computeNumPages (MRWTextInternal::Zone const &zone) const
| try to compute the number of pages of a zone, returns 0 if not data More...
bool | readFonts (MRWEntry const &entry, int zoneId)
| try to read a font zone More...
bool | readFontNames (MRWEntry const &entry, int zoneId)
| try to read a font name zone More...
bool | readRulers (MRWEntry const &entry, int zoneId)
| try to read a ruler zone More...
bool | readPLCZone (MRWEntry const &entry, int zoneId)
| try to read a PLC zone: position in text to char(zone 4) or ruler(zone 5) id More...
bool | readStyleNames (MRWEntry const &entry, int zoneId)
| try to read a style name zone More...

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr < MRWTextInternal::State > | m_state
| the state More...
MRWParser * | m_mainParser
| the main parser; More...

## Private Member Functions

| MRWText (MRWText const &orig)
MRWText & | operator= (MRWText const &orig)

## Friends

class | MRWParser

## Detailed Description

the main class to read the text part of Mariner Write file

## Constructor & Destructor Documentation

MRWText::MRWText | ( | MRWParser & | parser | ) |

constructor

MRWText::~MRWText | ( |  | ) |

virtual

destructor

MRWText::MRWText | ( | MRWText const & | orig | ) |

private

## Member Function Documentation

int MRWText::computeNumPages | ( | MRWTextInternal::Zone const & | zone | ) | const

protected

try to compute the number of pages of a zone, returns 0 if not data

Referenced by numPages().

bool MRWText::findTableStructure | ( | MRWTextInternal::Table & | table,
|  | MWAWEntry const & | entry
| ) |  |

protected

try to find the table structure beginning in actual position

Referenced by send().

void MRWText::flushExtra | ( |  | ) |

protected

sends the data which have not yet been sent to the listener

send data to the listener

int MRWText::numPages | ( |  | ) | const

returns the number of pages

MRWText& MRWText::operator= | ( | MRWText const & | orig | ) |

private

bool MRWText::readFontNames | ( | MRWEntry const & | entry,
|  | int | zoneId
| ) |  |

protected

try to read a font name zone

bool MRWText::readFonts | ( | MRWEntry const & | entry,
|  | int | zoneId
| ) |  |

protected

try to read a font zone

bool MRWText::readPLCZone | ( | MRWEntry const & | entry,
|  | int | zoneId
| ) |  |

protected

try to read a PLC zone: position in text to char(zone 4) or ruler(zone 5) id

bool MRWText::readRulers | ( | MRWEntry const & | entry,
|  | int | zoneId
| ) |  |

protected

try to read a ruler zone

bool MRWText::readStyleNames | ( | MRWEntry const & | entry,
|  | int | zoneId
| ) |  |

protected

try to read a style name zone

bool MRWText::readTextStruct | ( | MRWEntry const & | entry,
|  | int | zoneId
| ) |  |

protected

try to read the text struct

bool MRWText::readZone | ( | MRWEntry const & | entry,
|  | int | zoneId
| ) |  |

protected

try to read a text zone

bool MRWText::send | ( | int | zoneId | ) |

protected

try to send a zone (knowing zoneId)

Referenced by flushExtra(), and sendTable().

bool MRWText::send | ( | MRWTextInternal::Zone const & | zone,
|  | MWAWEntry const & | entry
| ) |  |

protected

try to send a zone

bool MRWText::sendTable | ( | MRWTextInternal::Table & | table | ) |

protected

try to send a table

Referenced by send().

void MRWText::setProperty | ( | MRWTextInternal::Paragraph const & | ruler | ) |

protected

sends a paragraph property to the listener

Referenced by send().

int MRWText::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

friend class MRWParser

friend

## Member Data Documentation

MRWParser* MRWText::m_mainParser

protected

the main parser;

Referenced by readFontNames(), readFonts(), readPLCZone(), readRulers(), readStyleNames(), readTextStruct(), readZone(), send(), and sendTable().

MWAWParserStatePtr MRWText::m_parserState

protected

the parser state

Referenced by computeNumPages(), findTableStructure(), flushExtra(), readFontNames(), readFonts(), readPLCZone(), readRulers(), readStyleNames(), readTextStruct(), readZone(), send(), sendTable(), setProperty(), and version().

shared_ptr<MRWTextInternal::State> MRWText::m_state

protected

the state

Referenced by flushExtra(), numPages(), readFontNames(), readFonts(), readPLCZone(), readRulers(), readTextStruct(), readZone(), send(), and version().

The documentation for this class was generated from the following files:

- MRWText.hxx
- MRWText.cxx